@npmcli/move-file

A fork of move-file with compatibility with all node 10.x versions.

> Move a file

The built-in `fs.rename()` is just a JavaScript wrapper for the C `rename(2)` function, which doesn't support moving files across partitions or devices. This module is what you would have expected `fs.rename()` to be.

# Highlights

- Promise API.
- Supports moving a file across partitions and devices.
- Optionally prevent overwriting an existing file.
- Creates non-existent destination directories for you.
- Support for Node versions that lack built-in recursive `fs.mkdir()`

# Install

$ npm install @npmcli/move-file

# Usage

const moveFile = require('@npmcli/move-file');
(async () => {
await moveFile('source/unicorn.png', 'destination/unicorn.png');
console.log('The file has been moved');
})();

# API

## moveFile(source, destination, options?)

Returns a `Promise` that resolves when the file has been moved.

## moveFile.sync(source, destination, options?)

### source

Type: `string`

File you want to move.

### destination

Type: `string`

Where you want the file moved.

### options

Type: `object`

#### overwrite

Type: `boolean`\ Default: `true`

Overwrite existing destination file.